<?php
/*
Plugin Name: Stop double post content rendering
Plugin URI: http://shinephp.com/single-php-called-twice-how-to-stop/
Description: Prevents single.php double execution
Version: 1.0
Author: Vladimir Garagulya
Author URI: http://www.shinephp.com
*/

/*
Copyright 2010-2012  Vladimir Garagulya  (email: vladimir@shinephp.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

*/


// stop next post preloading and thus single.php calling twice
function shinephp_optimizer() {
	remove_action('wp_head', 'adjacent_posts_rel_link_wp_head');	
}

add_action('init', 'shinephp_optimizer');

?>
